<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]>      <html class="no-js"> <!--<![endif]-->
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Template</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="./assets/css/custom.css" rel="stylesheet"/>
        <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
        <!-- Font Awesome -->
        <link
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css"
        rel="stylesheet"
        />
        <!-- Google Fonts -->
        <link
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
        rel="stylesheet"
        />
        <!-- MDB -->
        <link
        href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"
        rel="stylesheet"
        />
    </head>
    <body>
        <noscript>
            <h1>Your friendship will be fucked if you dont activate Javascript</h1>

            <style type="text/css">
                #loginPage { display:none; }
                #viewPage { display:none; }
            </style>
        </noscript>

        <div class="container-fluid" id="loginPage">
            <div class="row justify-content-center align-items-center" style="height:100%">
                <div class="col-4">
                    <div class="card">
                        <div class="card-body">
                            <div class="input-group m-2">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">Name:</span>
                                </div>
                                <input type="text" class="form-control" id="nameInput">
                            </div>
                            <div class="input-group m-2">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">Raum:</span>
                                </div>
                                <input type="text" class="form-control" id="roomInput">
                            </div>
                            <button id="loginButton" class="btn btn-primary">Join</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="viewPage" class="container-fluid">
            <div class="row">
                <div id="memberSection" class="row col-12 col-md-3 col-lg-2">
                    <h3>Members</h3>
                    <div id="membersList" class="membersList">
                    </div>
                </div>
                <div id="chatSection" class="row col-12 col-md-9 col-lg-10">
                    <h3>Chat</h3>
                    <div id="chatwindow" class="chatwindow"></div>
                </div>

                <div class="row">
                    <input type="text" id="chatText" class="col-6 col-md-8 col-lg-10 p-1">
                        
                    </input>
                    <div class="col-6 col-md-4 col-lg-2">
                        <button id="sendButton" class="btn btn-outline-primary">Senden</button>
                        <div class="input-group">
                            <div class="custom-file">
                              <input type="file" class="custom-file-input" id="inputGroupFile01"
                                aria-describedby="inputGroupFileAddon01">
                              <label class="custom-file-label" id="custom-file-label" for="inputGroupFile01">Choose file</label>
                            </div>
                          </div>
                    </div>
                </div>
            </div>
        </div> 

        <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="./scripts/Script.ts" async defer></script>      
    </body>
</html>